Page MenuHomeVyOS Platform

DHCP: set client-hostname via CLI
Closed, ResolvedPublicFEATURE REQUEST

Description

Add dhcp client options in CLI:

set interfaces ethernet eth0 dhcp-options client-option "send host-name "my_hostname";"

https://forum.vyos.net/showthread.php?tid=27059

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

syncer changed the subtype of this task from "Task" to "Feature Request".Oct 20 2018, 7:02 AM
syncer changed the edit policy from "Task Author" to "Custom Policy".Nov 3 2018, 11:46 PM
syncer set Version to -.
syncer raised the priority of this task from Low to Normal.

@syncer send hostname is automatically set, so not sure if that task is still valid. (see: /var/lib/dhcp/dhclient_eth0.conf).
The value is taken from hostname.
However dhcp has a ton of client options (https://tools.ietf.org/html/rfc2132), implementing all of them or just a portion and make them configurable, means the rewrite of th dhclient scripts, which I think is overdue anyway.

Available via set interfaces ethernet eth0 dhcp-options host-name

c-po renamed this task from dhcp client options in CLI to DHCP: set client-hostname via CLI.Nov 7 2020, 7:44 PM
c-po closed this task as Resolved.
c-po set Is it a breaking change? to Unspecified (possibly destroys the router).